Skip to main content
POST
/
transactions
/
create
Create Transaction
curl --request POST \
  --url https://api.swoogo.com/api/v1/transactions/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data event_id=1 \
  --data registrant_id=1 \
  --data type=credit_card_payment \
  --data 'datetime=2025-06-04 14:30:00' \
  --data status=confirmed \
  --data amount=166 \
  --data 'notes=Payment for registration'
{
  "registrant_id": 1,
  "type": "credit_card_payment",
  "datetime": "2025-06-04 14:30:00",
  "status": "confirmed",
  "amount": -166,
  "notes": "Payment for registration",
  "created_at": "2025-06-04 14:30:00",
  "updated_at": "2025-06-04 14:30:00"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Body

application/x-www-form-urlencoded
event_id
integer
required

ID of the event to which this transaction is associated.

Example:

1

registrant_id
integer
required

ID of the registrant this transaction belongs to

Example:

1

type
string
required

Type of transaction. Available values:
Payments: offline_credit_card_payment, wire_transfer_payment, check_payment, cash_payment, past_event_credit_payment, offline_google_wallet_payment, offline_paypal_payment, other_payment
Refunds: offline_credit_card_refund, wire_transfer_refund, check_refund, cash_refund, offline_google_wallet_refund, offline_paypal_refund, other_refund

Example:

"wire_transfer_payment"

amount
number<float>
required

Amount of the transaction

Example:

-166

datetime
string

Transaction date and time (format Y-m-d H:i:s)

Example:

"2025-06-04 14:30:00"

status
string

Status of the transaction. Available values:
confirmed: Processed,
failed: Failed,
pending: Pending,
duplicate: Duplicate

Example:

"confirmed"

notes
string

Additional notes for the transaction

Example:

"Payment for registration"

Response

Transaction Created

registrant_id
integer
Example:

1

type
string
Example:

"credit_card_payment"

datetime
string
Example:

"2025-06-04 14:30:00"

status
string
Example:

"confirmed"

amount
number<float>
Example:

-166

notes
string
Example:

"Payment for registration"

created_at
string
Example:

"2025-06-04 14:30:00"

updated_at
string
Example:

"2025-06-04 14:30:00"